Package org.apache.batchee.container.services.persistence.jpa.domain

## Class CheckpointEntity

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jpa.domain.CheckpointEntity

-     @Entity
      public class CheckpointEntity
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CheckpointEntity.Queries` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TABLE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckpointEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getData()` |
    `String` | `getId()` |
    `JobInstanceEntity` | `getInstance()` |
    `String` | `getStepName()` |
    `CheckpointType` | `getType()` |
    `void` | `setData​(byte[] data)` |
    `void` | `setInstance​(JobInstanceEntity instance)` |
    `void` | `setStepName​(String stepName)` |
    `void` | `setType​(CheckpointType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CheckpointEntity

          public CheckpointEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getStepName

          public String getStepName()

    - #### setStepName

          public void setStepName​(String stepName)

    - #### getType

          public CheckpointType getType()

    - #### setType

          public void setType​(CheckpointType type)

    - #### getData

          public byte[] getData()

    - #### setData

          public void setData​(byte[] data)

    - #### getInstance

          public JobInstanceEntity getInstance()

    - #### setInstance

          public void setInstance​(JobInstanceEntity instance)